// $Id: Canonical.java,v 1.2 2002/11/24 17:43:03 mike Exp $
//
// The canonical ZOOM program for the Java binding.

package org.z3950.zoomtest;
import org.z3950.zoom.*;

class Canonical {
    public static void main (String[] args) throws Exception {
	Connection conn = new Connection("z3950.loc.gov", 7090);
	conn.option("databaseName", "Voyager");
	conn.option("preferredRecordSyntax", "USMARC");
	Query q = new PrefixQuery("@attr 1=7 0253333490");
	ResultSet rs = conn.search(q);
	System.out.println(rs.getRecord(0).render());
    }
}
